/*
 * $Id$
 */

package org.sonatype.security.configuration.model.v2_0_4.upgrade;

/**
 * Converts between version 2.0.3 and version 2.0.4 of the model.
 * 
 * @version $Revision$ $Date$
 */
public class BasicVersionUpgrade
    implements org.sonatype.security.configuration.model.v2_0_4.upgrade.VersionUpgrade
{

      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method upgradeSecurityConfiguration.
     * 
     * @param securityConfiguration
     * @return SecurityConfiguration
     */
    public org.sonatype.security.configuration.model.SecurityConfiguration upgradeSecurityConfiguration( org.sonatype.security.configuration.model.v2_0_3.SecurityConfiguration securityConfiguration )
    {
        return upgradeSecurityConfiguration( securityConfiguration, new org.sonatype.security.configuration.model.SecurityConfiguration() );
    } //-- org.sonatype.security.configuration.model.SecurityConfiguration upgradeSecurityConfiguration( org.sonatype.security.configuration.model.v2_0_3.SecurityConfiguration )

    /**
     * Method upgradeSecurityConfiguration.
     * 
     * @param securityConfiguration
     * @param value
     * @return SecurityConfiguration
     */
    public org.sonatype.security.configuration.model.SecurityConfiguration upgradeSecurityConfiguration( org.sonatype.security.configuration.model.v2_0_3.SecurityConfiguration securityConfiguration, org.sonatype.security.configuration.model.SecurityConfiguration value )
    {
        if ( securityConfiguration == null )
        {
            return null;
        }
        // Convert field version
        value.setVersion( securityConfiguration.getVersion() );
        // Convert field enabled
        value.setEnabled( securityConfiguration.isEnabled() );
        // Convert field anonymousAccessEnabled
        value.setAnonymousAccessEnabled( securityConfiguration.isAnonymousAccessEnabled() );
        // Convert field anonymousUsername
        value.setAnonymousUsername( securityConfiguration.getAnonymousUsername() );
        // Convert field anonymousPassword
        value.setAnonymousPassword( securityConfiguration.getAnonymousPassword() );
        {
            java.util.List list = new java.util.ArrayList/*<String>*/();
            for ( java.util.Iterator i = securityConfiguration.getRealms().iterator(); i.hasNext(); )
            {
                String v = (String) i.next();
                list.add( v );
            }
            value.setRealms( list );
        }
        // Convert field securityManager
        value.setSecurityManager( securityConfiguration.getSecurityManager() );

        return value;
    } //-- org.sonatype.security.configuration.model.SecurityConfiguration upgradeSecurityConfiguration( org.sonatype.security.configuration.model.v2_0_3.SecurityConfiguration, org.sonatype.security.configuration.model.SecurityConfiguration )


}
